#**************************************************************
# This .sdc file is created by Terasic Tool.
# Users are recommended to modify this file to match users logic.
#**************************************************************

#**************************************************************
# Create Clock
#**************************************************************
create_clock -period 20.000ns [get_ports CLK50M]
create_clock -period 10.000ns [get_ports CLK]

#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks



#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty


#**************************************************************
# Set Input Delay
#**************************************************************
set_input_delay -clock [get_clocks CLK] -max 7  [get_ports {RXF_N}]
set_input_delay -clock [get_clocks CLK] -max 7  [get_ports {DATA[*]}]
set_input_delay -clock [get_clocks CLK] -min 6.5  [get_ports {RXF_N}]
set_input_delay -clock [get_clocks CLK] -min 6.5  [get_ports {DATA[*]}]

#**************************************************************
# Set Output Delay
#**************************************************************
set_output_delay -clock [get_clocks CLK] -max 1.0 [get_ports {WR_N}]
set_output_delay -clock [get_clocks CLK] -max 1.0 [get_ports {BE[*] DATA[*]}]
set_output_delay -clock [get_clocks CLK] -min 4.8 [get_ports {WR_N}]
set_output_delay -clock [get_clocks CLK] -min 4.8 [get_ports {BE[*] DATA[*]}]

#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[2].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[3].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[4].gpll~PLL_OUTPUT_COUNTER|divclk}]
#
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[2].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[3].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[4].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}]

#
set_false_path -from [get_clocks {CLK}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {CLK}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[2].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {CLK}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[3].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {CLK}] -to [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[4].gpll~PLL_OUTPUT_COUNTER|divclk}]
#
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {CLK}]
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[2].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {CLK}]
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[3].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {CLK}]
set_false_path -from [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[4].gpll~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {CLK}]
#
set_clock_groups -logically_exclusive -group [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[2].gpll~PLL_OUTPUT_COUNTER|divclk}] \
                                      -group [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[3].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_clock_groups -logically_exclusive -group [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[3].gpll~PLL_OUTPUT_COUNTER|divclk}] \
                                      -group [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[4].gpll~PLL_OUTPUT_COUNTER|divclk}]
set_clock_groups -logically_exclusive -group [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[4].gpll~PLL_OUTPUT_COUNTER|divclk}] \
                                      -group [get_clocks {i0_sys_pll|sys_pll_inst|altera_pll_i|general[2].gpll~PLL_OUTPUT_COUNTER|divclk}]												  

#					
set_false_path -from [get_ports {SRST_N HRST_N DIPSW[*] PBUTT[*]}] -to [get_registers *]
set_false_path -from [get_ports {TXE_N}] -to [get_registers *] 
#
set_false_path -from {ft602_uvc_fsm:i3_ft602_uvc_fsm|be_oe_n} -to {DATA[*]};
set_false_path -from {ft602_uvc_fsm:i3_ft602_uvc_fsm|be_oe_n} -to {BE[*]};
set_false_path -from {ft602_uvc_fsm:i3_ft602_uvc_fsm|dt_oe_n} -to {DATA[*]}
#
set_false_path -to [get_ports {FRDROP[*] LEDG[*] IRQ}]
set_false_path -to [get_ports {SIWU_N}]
#



